Subject: bug#31870: closed (Re: bug#31870: Provide a way to customize %harmless-collisions)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 18 Jun 2018 05:50:02 +0000

Your bug report

#31870: Provide a way to customize %harmless-collisions

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31870: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31870
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31870: Provide a way to customize %harmless-collisions
From: Clément Lassieur <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Mon, 18 Jun 2018 07:49:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:

> Hello,
>
> Clément Lassieur <[email-masked]> skribis:
>
>> %harmless-collisions is consistent for Guix packages, but users can also
>> add their custom packages through GUIX_PACKAGE_PATH.  It would be great
>> that if such custom packages collide, the warning message can be
>> removed.
>
> ‘%harmless-collisions’ is really a hack and I’m not sure we’d like to
> make this hack extensible.  :-)

Ha ;-)  Okay I understand.

> Did you have any concrete use case in mind?

Yes, Firefox and Icecat have lots of collisions, and they are displayed
even when I install unrelated stuff.  But it's fine, I can definitely
live with it.  Closing it!

Clément

Subject: Provide a way to customize %harmless-collisions
From: Clément Lassieur <[email-masked]>
To: [email-masked]
Date: Sun, 17 Jun 2018 09:10:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

%harmless-collisions is consistent for Guix packages, but users can also
add their custom packages through GUIX_PACKAGE_PATH.  It would be great
that if such custom packages collide, the warning message can be
removed.

Thanks,
Clément